Job Overview
curl --request GET \
--url https://{host}/api/job \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/api/job"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"exp": "<string>",
"run_id": "<string>",
"recipe": "unversioned",
"recipe_version": "<string>",
"framework": "<string>",
"framework_version": "<string>",
"project_key": "",
"name": "",
"display_name": "<string>",
"project": "",
"model": "<string>",
"status": "<string>",
"retry_count": 0,
"can_retry": false,
"retry_blocker": "",
"can_rerun": false,
"rerun_blocker": "",
"note": "",
"tags": [],
"start": "-",
"dur": "-",
"running": false,
"data_source": "none",
"steps": [],
"validations": [],
"last_progress_at": "<string>",
"primary_series": {},
"summary": {},
"runtime_contract": {
"api_version": "<string>",
"framework": "<string>",
"framework_version": "<string>",
"runtime_id": "<string>",
"source_artifact": {
"kind": "<string>",
"reference": "<string>",
"sha256": "<string>",
"source_digest": "<string>",
"architecture": "<string>",
"ray_version": "<string>"
},
"adapter": "<string>",
"core_version": "<string>",
"recipe": {
"name": "<string>",
"version": "<string>",
"digest": "<string>",
"primary_metrics": [],
"metric_semantics": {},
"validation": {
"sample_kind": "none",
"reward_semantics": "none"
}
},
"artifact_contract": {
"version": "<string>",
"checkpoints": [
"<string>"
],
"logs": [
"<string>"
],
"exports": [
"<string>"
],
"evaluations": [
"<string>"
],
"formats": {}
},
"observability": {
"mode": "<string>",
"url": "<string>"
},
"recipe_status": "current"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}GET
/
api
/
job
Job Overview
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
响应
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- JobRuntimeContractOut
- JobRuntimeContractErrorOut
Show child attributes
Show child attributes